AutoMedPeer.PeerProcessDescription
Keywords: uk.ac.ic.doc.automed.p2p.AutoMedPeer.PeerProcessDescription class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.p2p
Class AutoMedPeer.PeerProcessDescription

    java.lang.Object
      uk.ac.ic.doc.automed.p2p.AutoMedPeer.PeerProcessDescription

Enclosing class:
  AutoMedPeer

    public static class AutoMedPeer.PeerProcessDescription

extends java.lang.Object

Field Summary
`java.net.InetAddress` | `host`
`java.lang.String` | `name`

Constructor Summary
`AutoMedPeer.PeerProcessDescription(java.lang.String host, java.lang.String name)`
`AutoMedPeer.PeerProcessDescription(java.lang.String host, java.lang.String name, int port)`

Method Summary
`java.lang.String` | `getHost()` return the host IP
`java.lang.String` | `getName()`
`int` | `getPort()`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### host

    public java.net.InetAddress host

### name

    public java.lang.String name

Constructor Detail

### AutoMedPeer.PeerProcessDescription

    public AutoMedPeer.PeerProcessDescription(java.lang.String host,
                                              java.lang.String name)
                                       throws java.io.IOException

Throws:
  `java.io.IOException`

### AutoMedPeer.PeerProcessDescription

    public AutoMedPeer.PeerProcessDescription(java.lang.String host,
                                              java.lang.String name,
                                              int port)
                                       throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getHost

    public java.lang.String getHost()

  return the host IP

### getName

    public java.lang.String getName()

### getPort

    public int getPort()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD